=== debian/changelog ===
kernel-module-cifs (1.55.0-maemo1) unstable; urgency=low

  * Initial Maemo Fremantle Release

 -- Nathan Anderson <nathan@andersonsplace.net>  Wed, 12 Jan 2010 15:00:00 -0500
