=== debian/control ===
Source: kernel-module-cifs
Section: user/network
Priority: extra
Maintainer: Nathan <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
Standards-Version: 3.7.2

Package: kernel-module-cifs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CIFS, Samba, Windows File Share support
