## kernel-module-cifs 1.55.0-maemo1-ac0

=== debian/changelog ===
kernel-module-cifs (1.55.0-maemo1-ac0) unstable; urgency=low

  * Section fix

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 15 Sep 2010 00:00:00 +0200
