=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: kernel-module-cifs
-Section: user/network
+Section: utils
 Priority: extra
 Maintainer: Nathan <nathan@andersonsplace.net>
 Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
